Bug 1125817 - SELinux is preventing /usr/sbin/ModemManager from 'execute' accesses on the file .
Summary: SELinux is preventing /usr/sbin/ModemManager from 'execute' accesses on the f...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:649232ffa10a1b98d8f6e12d07a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-01 06:49 UTC by Luca Botti
Modified: 2014-08-21 09:46 UTC (History)
4 users (show)

Fixed In Version: selinux-policy-3.12.1-180.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-21 09:46:50 UTC


Attachments (Terms of Use)

Description Luca Botti 2014-08-01 06:49:34 UTC
Description of problem:
Inserted brodadband USB key in my laptop. Correctly detected, everything is working, but I receive this SELinux advise
SELinux is preventing /usr/sbin/ModemManager from 'execute' accesses on the file .

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that ModemManager should be allowed execute access on the  file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep ModemManager /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:modemmanager_t:s0
Target Context                system_u:object_r:bin_t:s0
Target Objects                 [ file ]
Source                        ModemManager
Source Path                   /usr/sbin/ModemManager
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           ModemManager-1.2.0-1.fc20.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-179.fc20.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.15.6-200.fc20.x86_64 #1 SMP Fri
                              Jul 18 02:36:27 UTC 2014 x86_64 x86_64
Alert Count                   12
First Seen                    2014-07-10 14:00:21 CEST
Last Seen                     2014-08-01 08:45:21 CEST
Local ID                      90abef68-a09c-452e-9f3c-3433a963ade0

Raw Audit Messages
type=AVC msg=audit(1406875521.127:379): avc:  denied  { execute } for  pid=809 comm="ModemManager" path="/usr/lib64/gvfs/libgvfscommon.so" dev="sda6" ino=829105 scontext=system_u:system_r:modemmanager_t:s0 tcontext=system_u:object_r:bin_t:s0 tclass=file


type=SYSCALL msg=audit(1406875521.127:379): arch=x86_64 syscall=mmap success=no exit=EACCES a0=0 a1=23cdb8 a2=5 a3=802 items=0 ppid=1 pid=809 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=ModemManager exe=/usr/sbin/ModemManager subj=system_u:system_r:modemmanager_t:s0 key=(null)

Hash: ModemManager,modemmanager_t,bin_t,file,execute

Additional info:
reporter:       libreport-2.2.3
hashmarkername: setroubleshoot
kernel:         3.15.6-200.fc20.x86_64
type:           libreport

Potential duplicate: bug 1056508

Comment 1 Miroslav Grepl 2014-08-01 07:34:28 UTC
commit 6decf1db888c7964985f6ec2d037cf76dc2fb18f
Author: Miroslav Grepl <mgrepl@redhat.com>
Date:   Fri Aug 1 09:32:42 2014 +0200

    Back port modemmanager for F21.

Comment 2 Fedora Update System 2014-08-13 12:09:23 UTC
selinux-policy-3.12.1-180.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-180.fc20

Comment 3 Fedora Update System 2014-08-16 00:30:44 UTC
Package selinux-policy-3.12.1-180.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-180.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9454/selinux-policy-3.12.1-180.fc20
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-08-21 09:46:50 UTC
selinux-policy-3.12.1-180.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.